# Application key
# Used for encryption where needed.
# Run `php artisan key:generate` to generate a valid key.
APP_KEY=SomeRandomString

# Application URL
# Remove the hash below and set a URL if using BookStack behind
# a proxy, if using a third-party authentication option.
# This must be the root URL that you want to host BookStack on.
# All URL's in BookStack will be generated using this value.
APP_URL={{ app_url }}

APP_LANG=en

# Database details
DB_HOST=localhost
DB_DATABASE=bookstackdb
DB_USERNAME=bookstackuser
DB_PASSWORD={{ bookstackpass }}
CACHE_DRIVER=database
SESSION_DRIVER=database

# Mail system to use
# Can be 'smtp' or 'sendmail'
MAIL_DRIVER=smtp

# Mail sender options
MAIL_FROM_NAME=BookStack
MAIL_FROM=bookstack@example.com

# SMTP mail options
MAIL_HOST=localhost
MAIL_PORT=1025
MAIL_USERNAME=null
MAIL_PASSWORD=null
MAIL_ENCRYPTION=null

# Use secure cookies for HTTPS
#SESSION_SECURE_COOKIE=true

# AD LDAPS auth
#AUTH_METHOD=ldap
#LDAP_SERVER=ldaps://dc.contoso.com:636
#LDAP_BASE_DN=ou=People,dc=example,dc=com
#LDAP_DN=username
#LDAP_PASS=password
#LDAP_USER_FILTER=(&(sAMAccountName=${user}))
#LDAP_VERSION=3
#LDAP_ID_ATTRIBUTE=BIN;objectGUID
#LDAP_ID_ATTRIBUTE=uid
#LDAP_EMAIL_ATTRIBUTE=mail
#LDAP_DISPLAY_NAME_ATTRIBUTE=cn
#LDAP_TLS_INSECURE=true

# Enable LDAP Group Sync
#LDAP_USER_TO_GROUPS=true
#LDAP_GROUP_ATTRIBUTE="memberOf"
#LDAP_REMOVE_FROM_GROUPS=false

# Set APP_DEBUG=true to troubleshoot ldap setup

# Use S3 for storage backend
#STORAGE_TYPE=s3
#STORAGE_S3_KEY=your-s3-key
#STORAGE_S3_SECRET=your-s3-secret
#STORAGE_S3_BUCKET=s3-bucket-name
#STORAGE_S3_REGION=us-gov-west-1
